# Interface AdsLoader

See: https://developers.google.com/interactive-media-ads/docs/sdks/html5/client-side/reference/js/google.ima.AdsLoader

interface AdsLoader {
contentComplete(): void;
destroy(): void;
getSettings(): ImaSdkSettings;
getVersion(): string;
requestAds(adsRequest, userRequestContext?): void;
}

#####
Index

### Methods

contentComplete
destroy
getSettings
getVersion
requestAds

## Methods

### contentComplete

- contentComplete(): void

- #### Returns void

### destroy

- destroy(): void

- #### Returns void

### getSettings

- getSettings(): ImaSdkSettings

- #### Returns ImaSdkSettings

### getVersion

- getVersion(): string

- #### Returns string

### requestAds

- requestAds(adsRequest, userRequestContext?): void

- #### Parameters

  - adsRequest: AdsRequest
  - `Optional` userRequestContext: {}

  #### Returns void